import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotWorkAlarm/` + url, ...arg)

/**
 * 出入库异常Api接口管理器
 *
 * @author xiang
 * @date  2023/09/18 11:09
 **/
export default {
	// 获取出入库异常分页
	depotWorkAlarmPage(data) {
		return request('page', data, 'get')
	},
	// 获取出入库异常列表
	depotWorkAlarmList(data) {
		return request('list', data, 'get')
	},
	// 提交出入库异常表单 edit为true时为编辑，默认为新增
	depotWorkAlarmSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除出入库异常
	depotWorkAlarmDelete(data) {
		return request('delete', data)
	},
	// 获取出入库异常详情
	depotWorkAlarmDetail(data) {
		return request('detail', data, 'get')
	},
	// 出入库异常处理
	depotWorkAlarmProcessTo(data) {
		return request('processTo', data)
	},
}
